TooltipSkin (JavaFX 13)

Module javafx.controls
Package javafx.scene.control.skin

## Class TooltipSkin

- java.lang.Object
- - javafx.scene.control.skin.TooltipSkin

- All Implemented Interfaces:
    `Skin<Tooltip>`

      public class TooltipSkin
      extends Object
      implements Skin<Tooltip>

  CSS based skin for Tooltip. It deals mostly with show hide logic for Popup based controls, and specifically in this case for tooltip. It also implements some of the Skin interface methods. TooltipContent class is the actual skin implementation of the tooltip.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TooltipSkin​(Tooltip t)` | Creates a new TooltipSkin instance for the given `Tooltip`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.
    `Node` | `getNode()` | Gets the Node which represents this Skin.
    `Tooltip` | `getSkinnable()` | Gets the Skinnable to which this Skin is assigned.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TooltipSkin

          public TooltipSkin​(Tooltip t)

      Creates a new TooltipSkin instance for the given `Tooltip`.
      Parameters:
        `t` - the tooltip

  - ### Method Detail

    - #### getSkinnable

          public Tooltip getSkinnable()

      Gets the Skinnable to which this Skin is assigned. A Skin must be created for one and only one Skinnable. This value will only ever go from a non-null to null value when the Skin is removed from the Skinnable, and only as a consequence of a call to `Skin.dispose()`.

      The caller who constructs a Skinnable must also construct a Skin and properly establish the relationship between the Control and its Skin.

      Specified by:
        `getSkinnable` in interface `Skin<Tooltip>`
      Returns:
        A non-null Skinnable, or null value if disposed.

    - #### getNode

          public Node getNode()

      Gets the Node which represents this Skin. This must never be null, except after a call to `Skin.dispose()`, and must never change except when changing to null.
      Specified by:
        `getNode` in interface `Skin<Tooltip>`
      Returns:
        A non-null Node, except when the Skin has been disposed.

    - #### dispose

          public void dispose()

      Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
      Specified by:
        `dispose` in interface `Skin<Tooltip>`